Extend a share
curl --request POST \
--url https://api.example.com/api/data-shares/{share_id}/extend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expires_in_days": 365
}
'import requests
url = "https://api.example.com/api/data-shares/{share_id}/extend"
payload = { "expires_in_days": 365 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expires_in_days: 365})
};
fetch('https://api.example.com/api/data-shares/{share_id}/extend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-shares/{share_id}/extend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expires_in_days' => 365
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-shares/{share_id}/extend"
payload := strings.NewReader("{\n \"expires_in_days\": 365\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/data-shares/{share_id}/extend")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expires_in_days\": 365\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-shares/{share_id}/extend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expires_in_days\": 365\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"recipient_kind": "<string>",
"recipient_name": "<string>",
"warehouse": "<string>",
"status": "<string>",
"owner": "<string>",
"created_at": "<string>",
"purpose": "",
"recipient_url": "",
"roles": [
"<string>"
],
"tables": [
"<string>"
],
"expires_at": "<string>",
"expires_soon": false,
"key_hint": "",
"last_read_at": "<string>",
"principal": "",
"client_id": "",
"key_created_at": "<string>",
"activated_at": "<string>",
"revoked_at": "<string>",
"revoked_by": "",
"policies": [
{}
]
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Data shares
Extend a share
A new expiry, counted from today, or none (expires_in_days: null).
An expired share comes back.
Required roles: nx1_catalog_admin and a Data Access grant role
POST
/
api
/
data-shares
/
{share_id}
/
extend
Extend a share
curl --request POST \
--url https://api.example.com/api/data-shares/{share_id}/extend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expires_in_days": 365
}
'import requests
url = "https://api.example.com/api/data-shares/{share_id}/extend"
payload = { "expires_in_days": 365 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expires_in_days: 365})
};
fetch('https://api.example.com/api/data-shares/{share_id}/extend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-shares/{share_id}/extend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expires_in_days' => 365
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-shares/{share_id}/extend"
payload := strings.NewReader("{\n \"expires_in_days\": 365\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/data-shares/{share_id}/extend")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expires_in_days\": 365\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-shares/{share_id}/extend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expires_in_days\": 365\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"recipient_kind": "<string>",
"recipient_name": "<string>",
"warehouse": "<string>",
"status": "<string>",
"owner": "<string>",
"created_at": "<string>",
"purpose": "",
"recipient_url": "",
"roles": [
"<string>"
],
"tables": [
"<string>"
],
"expires_at": "<string>",
"expires_soon": false,
"key_hint": "",
"last_read_at": "<string>",
"principal": "",
"client_id": "",
"key_created_at": "<string>",
"activated_at": "<string>",
"revoked_at": "<string>",
"revoked_by": "",
"policies": [
{}
]
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Pattern:
^[0-9a-fA-F-]{36}$Body
application/json
Required range:
1 <= x <= 730Response
Successful Response
Was this page helpful?

